> For the complete documentation index, see [llms.txt](https://docs.cebodtelecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-sms-greater-than.md).

# \<sms>

**Role:** \<sms>, command let you send sms to any number during the call. If no number provided then sms will be sent to the caller id.

**Use:** –

* *Account Verification:* Send the pin code to the caller that can be used for authentication.
* Number Verification – Confirm if the caller is not spoofing the caller id.
* *Notification –* Notify another person about the call state and if the caller is waiting in the queue, so that agent can dial in and pick up the call.

While there are no limitation on where \<sms> can be used, there definitely is set of attributes to use with \<sms>. Below is a list of attributes to be used with \<sms>, each attribute has a specific function and can use certain values.

### Attributes

| <p><strong>Attribute</strong><br></p> | <p><strong>Value</strong><br></p> | <p><strong>Default</strong><br></p> |
| ------------------------------------- | --------------------------------- | ----------------------------------- |
| action                                | URL                               | none                                |
| statusCallback                        | url                               | non                                 |
| from                                  | valid number                      | called number                       |
| to                                    | valid number                      | caller id                           |

#### Here is an example of how \<sms> is used within code.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
         <sms>We received a call from you. This messages is generated with SMS API.</Say>
 </Response>
```

If statusCallback url is passed, we send the SMS status back, so your application take futher action.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
         <sms statusCallback="handle-sms-response.php">This messages is generated with SMS API.</Say>
 </Response>
```

\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-sms-greater-than.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
